New zypper update warning msg for leap 15.5: “Main Update Repository metadata expired ..."

Yesterday, I started getting this message when updating:

sudo zypper up
Loading repository data…
Warning: Repository ‘Main Update Repository’ metadata expired since 2023-07-07 04:05:51 PDT.

Warning: Repository metadata expired: Check if 'autorefresh' is turned on (zypper lr), otherwise
manualy refresh the repository (zypper ref). If this does not solve the issue, it could be that
you are using a broken mirror or the server has actually discontinued to support the repository.

I haven’t made any changes to my repositories for weeks, but here’s the repository list:

sudo zypper repos -d

| Alias | Name | Enabled | GPG Check | Refresh | Priority | Type | URI | Service

—±----------------------------±------------------±--------±----------±--------±---------±-------±---------------------------------------------------------------------------------------------------±-------
1 | Kernel_stable_Backport | Kernel builds f-> | Yes | (r ) Yes | Yes | 80 | rpm-md | https://mirrorcache-us.opensuse.org/repositories/Kernel:/stable:/Backport/standard/ |
2 | games | openSUSE Games → | Yes | (r ) Yes | Yes | 99 | rpm-md | https://mirrorcache-us.opensuse.org/repositories/games/15.5/ |
3 | home_Sauerland_hardware | Hardware (Kerne-> | Yes | (r ) Yes | Yes | 85 | rpm-md | https://mirrorcache-us.opensuse.org/repositories/home:/Sauerland:/hardware/Kernel_stable_Backport/ |
4 | packman | packman | Yes | (r ) Yes | Yes | 90 | rpm-md | Index of /pub/linux/misc/packman/suse/openSUSE_Leap_15.5/ |
5 | repo-backports-debug-update | Update reposito-> | No | ---- | ---- | 99 | rpm-md | https://mirrorcache-us.opensuse.org/update/leap/15.5/backports_debug/ |
6 | repo-backports-update | Update reposito-> | Yes | (r ) Yes | Yes | 99 | rpm-md | https://mirrorcache-us.opensuse.org/update/leap/15.5/backports/ |
7 | repo-debug | Debug Repository | No | ---- | ---- | 99 | rpm-md | https://mirrorcache-us.opensuse.org/debug/distribution/leap/15.5/repo/oss/ |
8 | repo-debug-non-oss | Debug Repositor-> | No | ---- | ---- | 99 | rpm-md | https://mirrorcache-us.opensuse.org/debug/distribution/leap/15.5/repo/non-oss/ |
9 | repo-debug-update | Update Reposito-> | No | ---- | ---- | 99 | rpm-md | https://mirrorcache-us.opensuse.org/debug/update/leap/15.5/oss/ |
10 | repo-debug-update-non-oss | Update Reposito-> | No | ---- | ---- | 99 | NONE | https://mirrorcache-us.opensuse.org/debug/update/leap/15.5/non-oss/ |
11 | repo-non-oss | Non-OSS Reposit-> | Yes | (r ) Yes | Yes | 99 | rpm-md | https://mirrorcache-us.opensuse.org/distribution/leap/15.5/repo/non-oss/ |
12 | repo-openh264 | repo-openh264 | Yes | (r ) Yes | Yes | 99 | rpm-md | Index of /openh264/openSUSE_Leap |
13 | repo-oss | Main Repository | Yes | (r ) Yes | Yes | 99 | rpm-md | https://mirrorcache-us.opensuse.org/distribution/leap/15.5/repo/oss/ |
14 | repo-sle-debug-update | Update reposito-> | No | ---- | ---- | 99 | rpm-md | https://mirrorcache-us.opensuse.org/debug/update/leap/15.5/sle/ |
15 | repo-sle-update | Update reposito-> | Yes | (r ) Yes | Yes | 99 | rpm-md | https://mirrorcache-us.opensuse.org/update/leap/15.5/sle/ |
16 | repo-source | Source Repository | No | ---- | ---- | 99 | NONE | https://mirrorcache-us.opensuse.org/source/distribution/leap/15.5/repo/oss/ |
17 | repo-update | Main Update Rep-> | Yes | (r ) Yes | Yes | 99 | rpm-md | https://mirrorcache-us.opensuse.org/update/leap/15.5/oss |
18 | repo-update-non-oss | Update Reposito-> | Yes | (r ) Yes | Yes | 99 | rpm-md | https://mirrorcache-us.opensuse.org/update/leap/15.5/non-oss/ |

As you can see, ‘autorefresh’ is on, so I tried manually refreshing it with this result:

sudo zypper refresh repo-update
Repository ‘Main Update Repository’ is up to date.
Specified repositories have been refreshed.

Then I tried switching repository ‘repo-update’ from mirrorcache-us… to download… with no affect. Any other ideas?

Thanks,
Gene

1 Like

Thanks for the link, post 6 explains everything. I did a search before I posted but didn’t get that thread. Sorry for the repeated question.

Gene

Self had similar problem when installed 15.5

Found my problem was firstly my repos were all still on the installation USB so fixed them, and updates worked.

However am still seeing this message:

Loading repository data...
Warning: Repository 'Main Update Repository' metadata expired since 2023-07-07 21:05:51 AEST.

    Warning: Repository metadata expired: Check if 'autorefresh' is turned on (zypper lr), otherwise
    manualy refresh the repository (zypper ref). If this does not solve the issue, it could be that
    you are using a broken mirror or the server has actually discontinued to support the repository.


Follow the link in hui’s post and check out reply #6.

Gene

where is post 6 ?

Where are these post numbers ?

.

In the right hand column (to the right of the message you are reading).

1 Like